Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUDefFactoryImpl

`java.lang.Object
oracle.jbo.uicli.binding.JUBindingDefFactoryImpl
oracle.jbo.uicli.jui.JUDefFactoryImpl`

All Implemented Interfaces:
  DCDefFactory, DefinitionFactory

public class JUDefFactoryImpl
extends JUBindingDefFactoryImpl

Constructor Summary
`JUDefFactoryImpl()`

Method Summary
`DCDefBase` | `createControlDef(java.lang.String subType)`
`DCDefBase` | `createDefinition(oracle.jbo.mom.xml.DefElement element)` Create definition based on element information
`java.lang.String` | `getSubTypeForElement(org.w3c.dom.Element element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUDefFactoryImpl

    public JUDefFactoryImpl()

Method Detail

### getSubTypeForElement

    public java.lang.String getSubTypeForElement(org.w3c.dom.Element element)

  Overrides:
    `getSubTypeForElement` in class `JUBindingDefFactoryImpl`

### createDefinition

    public DCDefBase createDefinition(oracle.jbo.mom.xml.DefElement element)

  Description copied from interface: `DefinitionFactory`
  Create definition based on element information
  Specified by:
    `createDefinition` in interface `DefinitionFactory`
  Overrides:
    `createDefinition` in class `JUBindingDefFactoryImpl`

### createControlDef

    public DCDefBase createControlDef(java.lang.String subType)

  Specified by:
    `createControlDef` in interface `DCDefFactory`
  Overrides:
    `createControlDef` in class `JUBindingDefFactoryImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.